Package org.opensaml.storage.annotation

# Annotation Interface Expiration

@Target(TYPE) @Retention(RUNTIME) public @interface Expiration
Identifies the field of a class that serves as the expiration of a `StorageService` record.

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String`
`value`
Get the value of this annotation.

## Element Details

### value

@Nonnull String value
Get the value of this annotation.

Returns:
  value of this annotation